Zum Hauptinhalt springen
POST
/
crm
/
v3
/
extensions
/
calling
/
inbound-call
Submit details of an inbound call to the CRM.
curl --request POST \
  --url https://api.hubapi.com/crm/v3/extensions/calling/inbound-call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "createEngagement": true,
  "engagementProperties": {},
  "externalCallId": "<string>",
  "finalCallStatus": "BUSY",
  "fromNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "potentialRecipientUserIds": [
    123
  ],
  "toNumber": {
    "e164Number": "<string>",
    "phoneNumberType": "FIXED_LINE",
    "extension": "<string>"
  },
  "callStartedTimestamp": "2023-11-07T05:31:56Z",
  "durationSeconds": 123,
  "userId": 123
}
'
{
  "callerIdMatches": [
    {
      "callerIdType": "CONTACT",
      "objectCoordinates": {
        "objectId": 123,
        "objectTypeId": "<string>",
        "portalId": 123
      },
      "email": "<string>",
      "firstName": "<string>",
      "lastName": "<string>"
    }
  ]
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
createEngagement
boolean
erforderlich

Indicates whether an engagement should be created for the call.

engagementProperties
object
erforderlich

Contains additional properties related to the engagement.

externalCallId
string
erforderlich

The unique identifier for the call from an external system.

finalCallStatus
enum<string>
erforderlich

The final status of the call, with accepted values including: BUSY, CALLING_CRM_USER, CANCELED, COMPLETED, CONNECTING, FAILED, HOLD, IN_PROGRESS, MISSED, NO_ANSWER, QUEUED, RINGING, UNKNOWN.

Verfügbare Optionen:
BUSY,
CALLING_CRM_USER,
CANCELED,
COMPLETED,
CONNECTING,
FAILED,
HOLD,
IN_PROGRESS,
MISSED,
NO_ANSWER,
QUEUED,
RINGING,
UNKNOWN
fromNumber
object
erforderlich
potentialRecipientUserIds
integer<int32>[]
erforderlich
toNumber
object
erforderlich
callStartedTimestamp
string<date-time>

The timestamp indicating when the call started, formatted as a date-time string.

durationSeconds
integer<int32>

The duration of the call in seconds.

userId
integer<int32>

The ID of the user associated with the call.

Antwort

successful operation

callerIdMatches
(CONTACT · object | COMPANY · object)[]
erforderlich
Last modified on April 9, 2026